Status: Closed Start date: 02 August 2021

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

To create provisioning profile for iOS

Please record down the steps, either screenshot or wording

History

#1 - 04 August 2021 09:09 PM - Megat AhmadSalehudin

- File Showroom_Dev.mobileprovision added

- File Showroom_Dist.mobileprovision added

- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

Attached the provisioning profile for Showroom both Development and Distribution

Steps to create App ID:

1. Go to developer.apple.com portal.

2. Login using credential given.

3. Select Certificates, Identifiers & Profiles either on side menu or main menu.

4. Click on Identifiers.

5. Select App IDs.

6. Click continue to proceed to register app id.

7. Fill in details accordingly

i. Fill in App ID description and the App ID e.g com.sme.testing.demo

ii. Select capabilities. Usually we tick (push nortification, associated domains, healthkit).

8. Click continue to proceed to register app id.

9. For deployment detail, can safely select No if not sure.

10. Click continue to confirm

11. Click Register to complete

Steps to create provisioning profile:

1. Go to developer.apple.com portal.

2. Login using credential given.

3. Select Certificates, Identifiers & Profiles either on side menu or main menu.

4. Select Profiles.

5. Click on Add button to add new provisioning profile.

6. There are 2 choices either Development or Distribution. Development is for debug build (debugging mode). Distribution is for to create ipa file.

i. Development - Select iOS Development

ii. Distribution - Select In-House

7. Click continue to proceed to App ID selection.

8. Select App ID accordingly.

9. Click continue to proceed to select certificate.

10. Select which certificate that bind to the provisioning profile (Normally, we select all in listing).

11. Click continue to select registered devices

12. Select which registered devices be able to use for Xcode debugging. (Normally, we select all in listing).

13. Click continue to give a name to provisioning profile to be created.

14. Click generate to complete.
#2 - 11 January 2022 06:58 PM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

Released v1.0.0.1 SIT

#3 - 11 March 2022 09:25 AM - Hoo Dextor

- Status changed from Pending SIT  to Closed

Files

Showroom_Dist.mobileprovision 11.6 KB 04 August 2021 Megat AhmadSalehudin

Showroom_Dev.mobileprovision 47.3 KB 04 August 2021 Megat AhmadSalehudin
